﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Chart;

namespace PieChart_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private List<Brush> color;
        
        public MainWindow()
        {
            InitializeComponent();
            
            color=new List<Brush>();
            
            foreach (var seg in Series.Segments)
            {
                color.Add(seg.Interior);
            }

        }

        private void Series_OnMouseDown(object sender, ChartMouseEventArgs e)
        {
            var dc = e.Segment.CorrespondingPoints[0].Index;
            
            var series = sender as ChartSeries;

            for (int i = 0; i < Series.Segments.Count; i++)
            {
                if (i == dc)
                {
                    series.Segments[i].Interior = Brushes.Red;
                }
                else
                {
                    series.Segments[i].Interior = color[i];
                }
            }
            
            MessageBox.Show(Series.Data[dc].StringItem.ToString());
        }
    }

    
    public class ViewModel
    {
        public ViewModel()
        {
            this.Country = new ObservableCollection<Model>();

            Country.Add(new Model() {Name = "US" , Count = 15 });
            Country.Add(new Model() {Name = "India" , Count = 23 });
            Country.Add(new Model() {Name = "China" , Count = 25 });
            Country.Add(new Model() {Name = "Japan", Count = 17 });
            Country.Add(new Model() {Name = "Russia", Count = 20 });
            
        }

        public ObservableCollection<Model> Country { get; set; }
    }

    public class Model
    {
        public string Name { get; set; }

        public double Count { get; set; }
    }
}
